import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import NewChatPage from '../views/NewChatPage.vue'

const routes = [
  {
    path: '/',
    name: 'Home',
    component: HomeView
  },
  {
    path: '/chat',
    name: 'NewChatPage',
    component: NewChatPage
  }
]

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
})

export default router
